Skip to main content
GET
/
vaults
/
{vaultId}
/
addresses
List all addresses for an asset
curl --request GET \
  --url https://api.anchorage-staging.com/v2/vaults/{vaultId}/addresses \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
      "addressId": "a33f83d96ca95cac000a344aa478a8b8",
      "addressSignaturePayload": "7b225465787441646472657373223a22324e313941636968513161344d78515736353855464854696f554e6e4d6b6948506b77227d",
      "signature": "1642000aa9cca8e8610981aefbdb204b361c9dca3fa067b88fdacfba7a0f620d721378a33f4bbadad3923e633a4d712646d1e8e314e9fcb4aa4102c0581f6503",
      "certChain": "-----BEGIN CERTIFICATE-----\nMIIBkTCCATigAwIBAgIQExample...\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIBkTCCATigAwIBAgIQExample...\n-----END CERTIFICATE-----\n",
      "signatureVersion": "V2",
      "walletId": "a33f83d96ca95cac000a344aa478a8b8"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

vaultId
string
required

The ID of the vault containing the asset type

Query Parameters

assetType
string
required

The asset type to display addresses for

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

List of signed addresses for this asset

data
SignedAddress · object[]
required
page
Page · object
required

Pagination info